/*
 *  Copyright (c) 1994-98 by Jaroslav Kysela <perex@jcu.cz>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __SOUNDDETECT_H
#define __SOUNDDETECT_H

/*
 *  Types of soundcards...
 *  Note: Don't assign new number to 100% clones...
 */

#define SND_CARD_TYPE_GUS_CLASSIC	1
#define SND_CARD_TYPE_GUS_EXTREME	2
#define SND_CARD_TYPE_GUS_ACE		3
#define SND_CARD_TYPE_GUS_MAX		4
#define SND_CARD_TYPE_AMD_INTERWAVE	5
#define SND_CARD_TYPE_SB_10		6
#define SND_CARD_TYPE_SB_20		7
#define SND_CARD_TYPE_SB_PRO		8
#define SND_CARD_TYPE_SB_16		9
#define SND_CARD_TYPE_SB_AWE		10
#define SND_CARD_TYPE_ESS_ES1688	11	/* ESS AudioDrive ES1688 */

#endif /* __SOUNDDETECT_H */
